## dtt 0.1-1

=== DESCRIPTION ===
Package: dtt
Type: Package
Title: Discrete Trigonometric Transforms
Version: 0.1-1
Date: 2007-02-25
Author: Lukasz Komsta
Maintainer: Lukasz Komsta <luke@novum.am.lublin.pl>
License: GPL (>= 2)
URL: http://www.r-project.org, http://www.komsta.net/
Description: This package provides functions for 1D and 2D Discrete
        Cosine Transform (DCT), Discrete Sine Transform (DST) and
        Discrete Hartley Transform (DHT).
Packaged: 2012-10-29 08:58:36 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:58:36

## dtt 0.1-2

=== DESCRIPTION ===
Package: dtt
Type: Package
Title: Discrete Trigonometric Transforms
Version: 0.1-2
Date: 20013-12-30
Author: Lukasz Komsta
Maintainer: Lukasz Komsta <lukasz.komsta@umlub.pl>
License: GPL (>= 2)
URL: http://www.r-project.org, http://www.komsta.net/
Description: This package provides functions for 1D and 2D Discrete
        Cosine Transform (DCT), Discrete Sine Transform (DST) and
        Discrete Hartley Transform (DHT).
Packaged: 2013-12-30 09:08:52 UTC; luke
Repository: CRAN
Date/Publication: 2013-12-30 11:44:32
NeedsCompilation: no

## dtt 0.1-2.1

=== DESCRIPTION ===
Package: dtt
Type: Package
Title: Discrete Trigonometric Transforms
Version: 0.1-2.1
Authors@R: person(given = "Lukasz",
                  family = "Komsta",
                  role = c("aut", "cre"),
                  email = "lukasz.komsta@umlub.pl")
License: GPL (>= 2)
URL: https://www.r-project.org, https://www.komsta.net/
Description: Provides functions for 1D and 2D Discrete
        Cosine Transform (DCT), Discrete Sine Transform (DST) and
        Discrete Hartley Transform (DHT).
Packaged: 2025-06-17 10:37:11 UTC; hornik
Repository: CRAN
Date/Publication: 2025-06-17 10:53:30 UTC
NeedsCompilation: no
Author: Lukasz Komsta [aut, cre]
Maintainer: Lukasz Komsta <lukasz.komsta@umlub.pl>

## dtt 4.1.0~rc1

=== debian/changelog ===
dtt (4.1.0~rc1-1+deb12) stable; urgency=medium

  * Synchronize with ADC clock over NDS server
  * Improve test setup so it will kill processes even if some of them crash.
  * Change foton default so RHP zeros do  not trigger warnings.
  * Small change to foton command-line help text.

 -- Erik von Reis <evonreis@caltech.edu>  Sat, 16 Mar 2024 08:03:48 -0700

dtt (4.0.5-1+deb12) stable; urgency=medium

  * Updated version number to 4.0.5.

 -- Patrick Thomas <pthomas@caltech.edu>  Mon, 04 Mar 2024 13:49:56 -0800

dtt (4.0.4-1+deb12) stable; urgency=medium

  * Only update usernds exciations when actually in usernds mode.

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 15 Feb 2024 15:55:36 -0800

dtt (4.0.3-1+deb12) stable; urgency=medium

  * 4.0.3 release

 -- Erik von Reis <evonreis@caltech.edu>  Sat, 20 Jan 2024 13:51:23 -0800

dtt (4.0.3~dev1-1+deb12) stable; urgency=medium

  * Make save message a bit less scary.
  * Fix warning from type coercion
  * Add custom design string generator that automatically produces an exact design string.
  * Convert warning to error when no design string is created.
  * Closes #384.  Add in option to block warnings about right-hand plane zeros.
  * Attempt to switch pybind to using SITEARCH variable for python installation.
  * Bug report email changed to something that seems to work.
  * Added create_if_not_exist and read_only flags to FilterFile creation in foton.py
  * Some improvements to error messages on swept sine and sine response.
  * Skip updating references when diaggui cannot find a new trace to udpate from.
  * Check for filters that are too big for awgtpman.
  * Fix difference to be actually useful.
  * Fix cursor labels so they change to dX, dY when in delta form, and also so the cursor doesn't move when switching between absolute and delta.
  * Script for starting simulated front end test.
  * UserNDS now also sets exciation channels.

 -- Erik von Reis <evonreis@caltech.edu>  Fri, 19 Jan 2024 17:23:14 -0800

dtt (4.0.2-5+deb12) stable; urgency=medium

  * Add missing bindings to python-foton

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 19 Sep 2023 16:06:35 -0700

dtt (4.0.2-4+deb12) stable; urgency=medium

  * "Fix" mis-matched .gitlab.yaml

 -- Erik von Reis <evonreis@caltech.edu>  Mon, 31 Jul 2023 10:13:05 -0700

dtt (4.0.2-3+deb12) stable; urgency=medium

  * Drop upper limits on framecpp and root-cds
  * Rename source package to dtt (as the tarball is named dtt-x.y.z.tar.gz)
  * Split "python" lines in debian/control for tweak scripts
  * Set BUILD_PREFIX=/usr for rpcgen to find cpp

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 27 Jul 2023 10:31:00 +0200

cds-crtools (4.0.2-2+deb12) stable; urgency=medium

  * Drop upper limit on framecpp versions

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 25 Jul 2023 11:05:18 -0700

cds-crtools (4.0.2-1+deb12) stable; urgency=medium

  * Memory leak fixed in libSIStr
  * Make cursor edit boxes high precision
  * Improvements to stability of NDS2 connections

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 20 Jul 2023 22:34:40 -0700

cds-crtools (4.0.2~dev1-1+deb12) stable; urgency=medium

  * add support for tirpc library
  * Allow NDS2 connection to handle threads that lock up.
  * Various bug fixes for diaggui's nds2 connection
  * DTT packaging for Debian bookworm

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 29 Jun 2023 17:49:56 -0700

cds-crtools (4.0.0-1+deb11) stable; urgency=medium

  * Fix precision on 'df' and other parameters passed between diaggui and diag
  * Increased precision of variables passed to diag from diaggui
  * Added foton_unit_test.py.
  * Added the python foton unit tests to ctest.
  * DTT now detects which version of awg interface is in use and picks the right one.
  * Removed unused diag command line options
  * Fix zroots method in foton.py.in
  * awg.py: use Thread.is_alive() instead of isAlive()
  * conda: build foton in conda on a mac
  * [foton] pybind for dmtsigp and filterfile libraries builds
  * Removes annoying stderr lines from libfilterfile
  * [foton.py] Add clear method to Section
  * Improve doc strings for awg.py
  * Foton now checks load errors when saving filter files.
  * (debian) Add testpoint_interface_v3.h to testpoint-dev package
  * Block menu usage on numerous commands in foton, awggui, and diaggui that might lead to a lock up.
  * nds2 live connections successfully restart
  * Remove check on nds2, switch away from "now" setting
  * [FOTON] Make label on file error button a bit clearer.
  * Check for non-finite values in the filter time series response.
  * diaggui: '--autostart' option now restarts on test failure.
  * [foton] now optionally 
  * Changed the error handling to support multiple levels of alerts. Added a check for zeros in the right half of the s-plane.
  * [foton] Add warning to failure to create design string.
  * FILTERFILE: Add a flag to enable coefficient corrections on load
  * [foton] fixed some crashes
  * Changed the color and text of the file notifications to match the level of the notification.
  * Added a check to foton.py.in to check the existence of a file path before attempting to open the file at that path. This includes checking for broken symbolic links.
  * [libfilterfile] Update pybind11 to include response on filter design objects.
  * Added more detail to the notifications about deleting filter modules upon saving.
  * Diaggui: improved reliability of NDS2 connection

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 08 Jun 2023 11:35:46 -0700

cds-crtools (3.1.4-3+deb11) stable; urgency=medium

  * Chage framecpp dependencies to 2.8 instead of 2.9.  2.9 has a performance issue.

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 19 Jan 2023 12:18:45 -0800
 

cds-crtools (3.1.4-2+deb11) bullseye; urgency=medium

  * Move framecpp version back to 2.8.1 for fast release on debian 11

 -- Erik von Reis <evonreis@caltech.edu>  Sat, 05 Nov 2022 11:39:12 -0700



=== debian/control ===
Source: dtt
Section: misc
Priority: optional
Maintainer: Erik von Reis <evonreis@caltech.edu>
Build-Depends:
 cmake (>= 3.13),
 cpp,
 debhelper (>= 10),
 root-cds (>= 6.20.4),
 dh-make, libcurl4-gnutls-dev, libexpat1-dev, libfftw3-dev,
 pkg-config,
 libfreetype6-dev, liblzma-dev, libncurses5-dev,
 libpcre3-dev, libpng-dev, libreadline-dev, libsasl2-dev, libssl-dev,
 libtinfo-dev, zlib1g-dev,
 python3-all-dev,
 gds-root-extensions-base (>= 2.19.4),
 gds-root-extensions-crtools (>= 2.19.4),
 gds-base-crtools (>= 2.19.6),
 gds-base-dev (>= 2.19.6),
 gds-dmt-dev (>= 2.19.6),
 libnds2-client-dev (>= 0.16.7),
 ldas-tools-framecpp-dev (>= 2.8.1)
Standards-Version: 4.3.0
Homepage: https://git.ligo.org/cds/dtt
Rules-Requires-Root: no

Package: cds-crtools
Architecture: any
Depends:
 dtt-diag, dtt-diagd, dtt-diaggui,
 dtt-awggui, dtt-awgstream, dtt-multiawgstream,
 dtt-tpcmd, dtt-xml-tools,
 chndump,  foton, lidax, dmtviewer,
 python3-awg,
 python3-foton,
 fantom,
 ${misc:Depends}
Description: cd-crtools installs a collection of tools used at LIGO.
 cds-crtools is a metapackaget that installs several programs
 used to control LIGO-style interfrometers. The package includes
 diag, diagd, diaggui, awggui, tpcmd, chndump
 along with foton, the filter design program, and others.

Package: dtt-diag
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Command line program for running LIGO's Diagnostics Test Tools.
 diag is suitable for scripting diagnostics test and excitations on LIGO's
 real-time data acquisition system.

Package: dtt-diagd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Daemon for running LIGO's Diagnostics Test Tools remotely.
 diagd is suitable for remotely running diagnostics test
 and excitations on LIGO's real-time data acquisition system.

Package: dtt-diaggui
Architecture: any
Depends:
 root-cds (>= 6.20.4),
 ${shlibs:Depends},
 ${misc:Depends},
 dtt-diag,
 crtools-gui-libraries-dev,
 libfilterwiz-dev,
 ldas-tools-framecpp (>= 2.8.1)
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Graphical program for running LIGO's Diagnostics Test Tools.
  diaggui is a user interface for running diagnostics tests, creating excitations,
  calculating results on LIGO's real time system data acquisition system.

Package: dtt-awggui
Architecture: any
Depends:
 root-cds (>= 6.20.4),
 ${shlibs:Depends},
 ${misc:Depends},
 crtools-gui-libraries-dev,
 libfilterwiz-dev
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Graphical program for running excitations using LIGO's awgtpman.
 awggui is an interface for creating excitations on LIGO's data acquisition system,
 including many periodic functions, random noise excitations, and custom
 user-defined excitations.

Package: dtt-awgstream
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Stream arbitrary data as an excitation using LIGO's awgtpman.
 Includes awgexec_run program for streaming excitations from Matlab.

Package: dtt-multiawgstream
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Stream multiple arbitrary data sets as excitations using LIGO's awgtpman.
 Stream arbitrary data to multiple exciatation channels at once on LIGO's real-time
 data acquisition system.

Package: dtt-tpcmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Command line tool for manipulating test points using LIGO's awgtpman.
 Close and open test points on LIGO's real-time data acquisition system

Package: dtt-xml-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Command line tools for XML files produced using DTT.
 Includes xmlconv, xmldata, and xmldir.  Files can be produced by diag or diaggui.

Package: dtt-headers
Depends:
 ${misc:Depends}
Architecture: all
Description: Private headers needed form some of the DTT library development packages.
 Development headers needed to build programs dependent on DTT.

Package: chndump
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Older program for listing channels for a LIGO NDS server.
 A command line tool that lists channel information to standard out.

Package: foton
Architecture: any
Depends:
 root-cds (>= 6.20.4),
 ${shlibs:Depends},
 ${misc:Depends},
# root-cds (<< 6.21),
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Graphical program for designing and generating filters.
 foton is used at LIGO to design and display filters,
 then generate filter files usable by the LIGO real-time
 data acquisition system.
 A variety of design strategies are supported.

Package: lidax
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Graphical program for retrieving LIGO data.
 lidax reads LIGO frame files.

Package: dmtviewer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Graphical program for viewing output of DMT monitors.
 DMT viewer is used in LIGO control rooms to display DMT data.

Package: fantom
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-gui-crtools (<< 2.19.5)
Breaks: gds-gui-crtools (<< 2.19.5)
Conflicts: gds-gui-crtools (<< 2.19.5)
Description: Command-line program for translation of LIGO frame and NDS data.
 fantom can be used to translate from different LIGO data formats.

Package: python3-awg
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 python3-numpy,
 libawg-dev,
 libsistr-dev,
 libtestpoint-dev,
Replaces: python-awg
Breaks: python-awg
Conflicts: python-awg
Description: Python 3 bindings to libawg.
 Create excitations using LIGO's awgtpman using Python.
 The awg module allows simple python scripting of excitations
 on the LIGO data acquisition system.

Package: python3-foton
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 python3-numpy,
 python3-scipy,
 libfilterfile-dev,
Description: Python 3 bindings for foton functions.
 Library for design, inspection and manipulation of filters and
 LIGO style filter files.

Package: libdtt
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library containing the functionality of LIGO's Diagnostics Test Tools.
 libdtt is an interface for creating and running diagnostics tests on
 the LIGO real-time data acquisition system.

Package: libdtt-dev
Architecture: any
Depends:
 ${misc:Depends},
 libdtt, libtestpoint-dev, libfantom-dev, libdfm-dev
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed for development using libdtt.
 libdtt is an interface for creating and running diagnostics tests on
 the LIGO real-time data acquisition system.

Package: libawg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library used to interface with awgtpman, the waveform excitation program used at LIGO.
 libawg is an interface for opening, configuring, and controlling excitations
  on the LIGO real-time data acquisition system.

Package: libawg-dev
Architecture: any
Depends:
 ${misc:Depends},
 libawg, libtestpoint-dev, libdtt-dev
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed for development with libawg.
 libawg is an interface for opening, configuring, and controlling excitations
 on the LIGO real-time acquisition system.

Package: libtestpoint
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library for manipulating LIGO test points.
 libtestpoint allows opening and closing of test points on the LIGO
 real-time data acquisition system.

Package: libtestpoint-dev
Architecture: any
Depends:
 ${misc:Depends},
 libtestpoint,
Replaces: gds-dtt-crtools (<< 3), gds-crtools, gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed for development with libtestpoint.
 libtestpoint allows opening and closing of test points on the LIGO
 real-time data acquisition system.

Package: libsistr
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library for sending arbitrary data as excitations using LIGO's awgtpman.
 libsistr is a library used for streaming custom excitations.

Package: libsistr-dev
Architecture: any
Depends:
 ${misc:Depends},
 libsistr,
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3), gds-dtt-headers (<< 3), gds-dtt-dev (<< 3)
Description: Files needed to develop with libsistr.
 libsistr is a library used for streaming custom excitations.

Package: libfantom
Architecture: any
Depends:
 ldas-tools-framecpp (>= 2.8.1),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Breaks: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Conflicts: gds-dtt-crtools (<< 3), gds-crtools (<< 3)
Description: Library for translation of LIGO data frames and LIGO NDS data.

=== debian/rules ===
#!/usr/bin/make -f

INSTALL_DIR = tmp
CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_PYTHON2=NO -DENABLE_PYTHON3=YES \
	-DBUILD_PREFIX=/usr

%:
	dh $@

override_dh_auto_configure:
	mkdir -p .build
	cd .build && \
	BUILD_PREFIX=/usr \
	    cmake  $(CMAKE_OPTS) $(CURDIR)

override_dh_auto_build:
	cd .build && \
	BUILD_PREFIX=/usr \
	    make -j4

override_dh_auto_install:
	cd .build && \
	BUILD_PREFIX=/usr \
	    make install DESTDIR=$(CURDIR)/debian/$(INSTALL_DIR)
	dh_install

## dtt 4.1.5~rc2

=== debian/changelog ===
dtt (4.1.5~rc2-2+deb13) stable; urgency=medium

  * Add recommended dh-python build dep
  * Add explicit python3 to debhelper args

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 17 Sep 2025 14:32:12 -0700

dtt (4.1.5~rc2-1+deb13) stable; urgency=medium

  * build manylinux and macos wheels
  * Fix script to work with trixie

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 16:01:53 -0700

dtt (4.1.5~rc1-4+deb13) stable; urgency=medium

  * Change python3 install dir to python3.13

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 14:40:46 -0700

dtt (4.1.5~rc1-3+deb13) stable; urgency=medium

  * fix use of unittest.TestCase.assertEquals
  * Add some doc strings to make it easier to connect foton.py and awg.py
  * step response test added
  * Add step response data files
  * Add trixie to auto-deb script
  * Drop gdssched. No longer needed.

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 12:51:46 -0700

dtt (4.1.5~rc1-2+deb13) stable; urgency=medium

  * drop libpcre and gdssched.
  * add libtirpc to build deps

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 12:30:13 -0700

dtt (4.1.4-1+deb13) stable; urgency=medium

  * fix foton get_zroots()
  * Add test for filter design get_zroots and set_zroots

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 08 Aug 2024 14:40:28 -0700

dtt (4.1.3-1+deb12) stable; urgency=medium

  * Bump version to 4.1.3

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Jul 2024 17:37:53 -0700

dtt (4.1.3~dev1-1+deb12) stable; urgency=medium

  * excitation channel name nesting depends on total channel count

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Jul 2024 12:38:46 -0700

dtt (4.1.2-1+deb12) stable; urgency=medium

  * foton: Handle "frequency" and "s-plane" options for Mag-Q roots
  * diaggui: re-enable full nesting of excitation channels

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 27 Jun 2024 13:04:53 -0700

dtt (4.1.1-1+deb12) stable; urgency=medium

  * Change RHP Zero warning check.

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 27 Mar 2024 15:13:32 -0700

dtt (4.1.0-1+deb12) stable; urgency=medium

  * Check version tag on autorelease is ancestor of master
  * Added update history for awggui

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 26 Mar 2024 14:43:05 -0700

dtt (4.1.0~rc4-1+deb12) stable; urgency=medium

  * Fix glitch at top of awggui ramp when loading a configuration that starts an excitation.

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 26 Mar 2024 00:38:56 -0700

dtt (4.1.0~rc2-1+deb12) stable; urgency=medium

  * Working auto release script.
  * Update and add some useful test files.
  * Fix awg time function being undefined.

 -- Erik von Reis <evonreis@caltech.edu>  Mon, 25 Mar 2024 23:16:41 -0700

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
  dh-make, libcurl4-gnutls-dev, libexpat1-dev, libfftw3-dev,
  pkg-config,
  libfreetype6-dev, liblzma-dev, libncurses5-dev,
- libpcre3-dev, libpng-dev, libreadline-dev, libsasl2-dev, libssl-dev,
+ libpng-dev, libreadline-dev, libsasl2-dev, libssl-dev,
  libtinfo-dev, zlib1g-dev,
- python3-all-dev,
+ python3-all-dev, dh-python,
  gds-root-extensions-base (>= 2.19.4),
  gds-root-extensions-crtools (>= 2.19.4),
  gds-base-crtools (>= 2.19.6),
  gds-base-dev (>= 2.19.6),
  gds-dmt-dev (>= 2.19.6),
  libnds2-client-dev (>= 0.16.7),
- ldas-tools-framecpp-dev (>= 2.8.1)
+ ldas-tools-framecpp-dev (>= 2.8.1),
+ libtirpc-dev
 Standards-Version: 4.3.0
 Homepage: https://git.ligo.org/cds/dtt
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	-DBUILD_PREFIX=/usr
 
 %:
-	dh $@
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	mkdir -p .build

## dtt 4.1.5

=== debian/changelog ===
dtt (4.1.5-3+deb12) stable; urgency=medium

  * Switch python build to pybuild

 -- Erik von Reis <evonreis@caltech.edu>  Fri, 19 Sep 2025 12:29:09 -0700

dtt (4.1.5-2+deb12) stable; urgency=medium

  * drop libpcre3 as a build dep

 -- Erik von Reis <evonreis@caltech.edu>  Fri, 19 Sep 2025 10:08:19 -0700

dtt (4.1.5-1+deb12) stable; urgency=medium

  * release 4.1.5

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 17 Sep 2025 15:39:41 -0700

dtt (4.1.5~rc2-1+deb12) stable; urgency=medium

  * build manylinux and macos wheels
  * Fix script to work with trixie

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 16:01:53 -0700

dtt (4.1.5~rc1-1+deb12) stable; urgency=medium

  * fix use of unittest.TestCase.assertEquals
  * Add some doc strings to make it easier to connect foton.py and awg.py
  * step response test added
  * Add step response data files
  * Add trixie to auto-deb script
  * Drop gdssched. No longer needed.

 -- Erik von Reis <evonreis@caltech.edu>  Tue, 16 Sep 2025 12:15:03 -0700

dtt (4.1.4-1+deb12) stable; urgency=medium

  * fix foton get_zroots()
  * Add test for filter design get_zroots and set_zroots

 -- Erik von Reis <evonreis@caltech.edu>  Thu, 08 Aug 2024 14:40:28 -0700

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
  gds-base-dev (>= 2.19.6),
  gds-dmt-dev (>= 2.19.6),
  libnds2-client-dev (>= 0.16.7),
- ldas-tools-framecpp-dev (>= 2.8.1),
- libtirpc-dev
+ ldas-tools-framecpp-dev (>= 2.8.1)
 Standards-Version: 4.3.0
 Homepage: https://git.ligo.org/cds/dtt
 Rules-Requires-Root: no
